// Author: Christian Lim
// Date: July 22, 2025

#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

int main() {
  ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
  int C; cin >> C;
  while (C--) {
    int n,k; cin>>n>>k;
    vector<int> a(n);
    for (int i=0; i<n; i++) cin>>a[i];
    sort(a.rbegin(),a.rend());
    ll ret=0;
    for (int i=0; i<k; i++) ret+=a[i];
    cout<<ret<<"\n";
  }
  return 0;
}

